<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <link
      href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.0-beta1/dist/css/bootstrap.min.css"
      rel="stylesheet"
      integrity="sha384-0evHe/X+R7YkIZDRvuzKMRqM+OrBnVFBL6DOitfPri4tjfHxaWutUpFmBp4vmVor"
      crossorigin="anonymous"
    />
    <title>Document</title>
  </head>
  <body>
    <div class="container mt-5" id="app">
      <h3>{{title}}</h3>

      <input
        type="text"
        class="form-control my-3"
        placeholder="Tarea"
        v-model="nuevaTarea"
        v-on:keyup.enter="agregarTarea"
      />
      <button class="btn btn-primary" v-on:click="agregarTarea">Agregar</button>
      <div class="mt-3" v-for="(tarea, index) in tareas" :key="index">
        <div
          role="alert"
          v-bind:class="['alert', tarea.estado ? 'alert-primary' : 'alert-danger']"
        >
          <div class="d-flex justify-content-between">
            <div>
              <strong>Tarea {{index+1}}:</strong> {{tarea.nombre}} - Estado:
              {{tarea.estado}}
            </div>
            <div>
              <button
                class="btn btn-success btn-sm"
                v-on:click="editarTarea(index)"
              >
                OK
              </button>
              <button
                class="btn btn-danger btn-sm"
                v-on:click="eliminarTarea(index)"
              >
                X
              </button>
            </div>
          </div>
        </div>
      </div>
    </div>
    <script src="https://cdn.jsdelivr.net/npm/vue@2.6.14/dist/vue.js"></script>
    <script src="./app.js"></script>
  </body>
</html>
